/* define.h */

#define MAXBUFSIZE 512
#define FILENAMELEN 255
#define LEN 10
#define LENMSG 100
#define MAXSERVERS 10
#define MAXCLIENTS 10
#define MAXSEGMENTSIZE 98 // < 100 (byte)
#define MAXFILESIZE 100000 // 100K max
#define MAXERR 20

typedef struct get_request_header {
		char request_code;  // 'G'  get
		char filename[FILENAMELEN];
} GetRequestHeader;

typedef struct get_reply_header
{
	char respons_code;  // 'G' OK
	char bodysize[LEN];
} GetReplyHeader;

typedef struct error_reply_header
{
	char error_code;	// 'E'
	char msg[LENMSG];	// puo' essere vuoto
} ErrorReplyHeader;


typedef struct size_request_header
{
	char request_code;
	char filename[FILENAMELEN];
} SizeRequestHeader;

typedef struct size_reply_header
{
	char respons_code;
	char filesize[LEN];
} SizeReplyHeader;

typedef struct getrange_request_header
{
	char request_code;
	char filename[FILENAMELEN];
	char start[LEN];
	char end[LEN];
} GetRangeRequestHeader;

typedef struct getrange_reply_header
{
	char respons_code;  // 'R' OK
	char bodysize[LEN];
} GetRangeReplyHeader;


